## tree 0.2-3

=== DESCRIPTION ===
Package: tree
Version: 0.2-3
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Description: Classification and regression trees.
License: Unlimited non-commercial use.

## tree 0.3-3

=== DESCRIPTION ===
Package: tree
Version: 0.3-3
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Description: Classification and regression trees.
License: Unlimited non-commercial use.

## tree 0.3-5

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees.
Version: 0.3-5
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Description: Classification and regression trees.
License: Unlimited non-commercial use.

## tree 1.0-1

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-1
Date: 2000/02/21
Depends: R (>= 0.99)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-2

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-2
Date: 2000/02/29
Depends: R (>= 0.99)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-3

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-3
Date: 2001-07-25
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-4

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-4
Date: 2001-08-08
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-5

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-5
Date: 2001-12-08
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-6

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-6
Date: 2002-02-23
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-7

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-7
Date: 2002-03-27
Depends: R (>= 1.5.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tree
 Title: Classification and regression trees
-Version: 1.0-7
-Date: 2002-03-27
+Version: 1.0-8
+Date: 2002-05-22
 Depends: R (>= 1.5.0)
 Author: Brian Ripley <ripley@stats.ox.ac.uk>.
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## tree 1.0-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tree
 Title: Classification and regression trees
-Version: 1.0-8
-Date: 2002-05-22
+Version: 1.0-9
+Date: 2002-06-20
 Depends: R (>= 1.5.0)
 Author: Brian Ripley <ripley@stats.ox.ac.uk>.
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## tree 1.0-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tree
 Title: Classification and regression trees
-Version: 1.0-9
-Date: 2002-06-20
+Version: 1.0-10
+Date: 2002-06-26
 Depends: R (>= 1.5.0)
 Author: Brian Ripley <ripley@stats.ox.ac.uk>.
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## tree 1.0-11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tree
 Title: Classification and regression trees
-Version: 1.0-10
-Date: 2002-06-26
+Version: 1.0-11
+Date: 2002-08-25
 Depends: R (>= 1.5.0)
 Author: Brian Ripley <ripley@stats.ox.ac.uk>.
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## tree 1.0-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tree
 Title: Classification and regression trees
-Version: 1.0-11
-Date: 2002-08-25
+Version: 1.0-12
+Date: 2002-11-05
 Depends: R (>= 1.5.0)
 Author: Brian Ripley <ripley@stats.ox.ac.uk>.
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## tree 1.0-13

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-13
Date: 2003-03-01
Depends: R (>= 1.7.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tree
 Title: Classification and regression trees
-Version: 1.0-13
-Date: 2003-03-01
+Version: 1.0-14
+Date: 2003-05-25
 Depends: R (>= 1.7.0)
 Author: Brian Ripley <ripley@stats.ox.ac.uk>.
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## tree 1.0-15

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-15
Date: 2003-07-31
Depends: R (>= 1.8.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and regression trees.
License: GPL (version 2 or later)

## tree 1.0-16

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tree
 Title: Classification and regression trees
-Version: 1.0-15
-Date: 2003-07-31
+Version: 1.0-16
+Date: 2003-11-23
 Depends: R (>= 1.8.0)
 Author: Brian Ripley <ripley@stats.ox.ac.uk>.
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## tree 1.0-18

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-18
Date: 2004-08-04
Depends: R (>= 1.8.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Wed Aug  4 07:58:33 2004; ripley

## tree 1.0-19

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-19
Date: 2005-02-01
Depends: R (>= 1.8.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Tue Feb  1 11:04:48 2005; ripley

## tree 1.0-20

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-20
Date: 2005-12-08
Depends: R (>= 2.2.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Wed Dec  7 22:19:54 2005; ripley

## tree 1.0-21

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-21
Date: 2006-01-26
Depends: R (>= 2.3.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Thu Jan 26 09:50:27 2006; ripley

## tree 1.0-22

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-22
Date: 2006-04-13
Depends: R (>= 2.3.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Thu Apr 13 07:33:35 2006; ripley

## tree 1.0-23

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-23
Date: 2006-06-22
Depends: R (>= 2.3.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Thu Jun 22 09:41:55 2006; ripley

## tree 1.0-24

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-24
Date: 2006-08-02
Depends: R (>= 2.3.0)
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Wed Aug  2 11:03:20 2006; ripley

## tree 1.0-25

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-25
Date: 2007-01-12
Depends: R (>= 2.3.0), grDevices, graphics, stats
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL (version 2 or later)
Packaged: Fri Jan 12 09:48:31 2007; ripley

## tree 1.0-26

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-26
Date: 2007-07-27
Depends: R (>= 2.3.0), grDevices, graphics, stats
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
License: GPL-2 | GPL-3
Packaged: Fri Jul 27 10:31:49 2007; ripley

## tree 1.0-27

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-27
Date: 2009-07-28
Depends: R (>= 2.7.0), grDevices, graphics, stats
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2009-07-28 08:59:35 UTC; ripley
Repository: CRAN
Date/Publication: 2009-07-30 12:27:39

## tree 1.0-28

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-28
Date: 2010-05-11
Depends: R (>= 2.7.0), grDevices, graphics, stats
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2010-06-09 16:05:58 UTC; ripley
Repository: CRAN
Date/Publication: 2010-06-10 12:23:49

## tree 1.0-29

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-29
Date: 2011-07-24
Depends: R (>= 2.7.0), grDevices, graphics, stats
Suggests: MASS
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2012-01-02 14:06:39 UTC; ripley
Repository: CRAN
Date/Publication: 2012-01-02 15:45:57

## tree 1.0-30

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-30
Date: 2012-06-27
Depends: R (>= 2.7.0), grDevices, graphics, stats
Suggests: MASS
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2012-06-27 11:15:37 UTC; ripley
Repository: CRAN
Date/Publication: 2012-06-27 11:20:34

## tree 1.0-31

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-31
Date: 2012-08-06
Depends: R (>= 2.14.0), grDevices, graphics, stats
Suggests: MASS
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2012-08-06 12:59:26 UTC; ripley
Repository: CRAN
Date/Publication: 2012-08-06 13:24:13

## tree 1.0-32

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-32
Date: 2012-10-08
Depends: R (>= 2.14.0), grDevices, graphics, stats
Suggests: MASS
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2012-10-09 13:41:01 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-09 13:54:37

## tree 1.0-33

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-33
Date: 2012-11-03
Depends: R (>= 2.15.0), grDevices, graphics, stats
Suggests: MASS
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2013-03-16 12:38:58 UTC; ripley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-16 13:39:08

## tree 1.0-34

=== DESCRIPTION ===
Package: tree
Title: Classification and regression trees
Version: 1.0-34
Date: 2013-07-01
Depends: R (>= 2.15.0), grDevices, graphics, stats
Suggests: MASS
Author: Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Description: Classification and Regression Trees.
LazyLoad: yes
License: GPL-2 | GPL-3
Packaged: 2013-07-01 10:40:25 UTC; ripley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-07-01 13:07:42

## tree 1.0-35

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-35
Date: 2015-03-24
Depends: R (>= 2.15.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
LazyLoad: yes
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2015-03-24 08:44:57 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2015-03-24 09:45:27

## tree 1.0-36

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-36
Date: 2015-05-29
Depends: R (>= 2.15.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
LazyLoad: yes
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2015-06-29 10:15:45 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2015-06-29 12:42:29

## tree 1.0-37

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-37
Date: 2016-01-20
Depends: R (>= 2.15.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
LazyLoad: yes
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2016-01-20 20:11:09 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2016-01-21 08:40:35

## tree 1.0-38

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-38
Date: 2018-03-14
Depends: R (>= 2.15.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2018-03-14 12:47:54 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2018-03-15 15:24:57 UTC

## tree 1.0-39

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-39
Date: 2018-03-17
Depends: R (>= 2.15.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2018-03-17 06:57:28 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2018-03-17 17:33:11 UTC

## tree 1.0-40

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-40
Date: 2019-03-01
Depends: R (>= 3.6.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2019-03-01 16:54:49 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2019-04-26 13:21:21 UTC

## tree 1.0-41

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-41
Date: 2021-08-16
Depends: R (>= 3.6.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2021-08-17 05:12:56 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2021-08-17 05:27:10 UTC

## tree 1.0-42

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-42
Date: 2022-05-29
Depends: R (>= 3.6.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2022-05-29 10:32:53 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2022-05-29 11:18:58 UTC

## tree 1.0-43

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-43
Date: 2023-01-31
Depends: R (>= 3.6.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "ripley@stats.ox.ac.uk")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2023-01-31 10:41:30 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2023-02-05 13:05:41 UTC

## tree 1.0-44

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-44
Date: 2024-12-10
Depends: R (>= 3.6.0), grDevices, graphics, stats
Suggests: MASS
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "Brian.Ripley@R-project.org")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2024-12-10 15:20:41 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <Brian.Ripley@R-project.org>
Repository: CRAN
Date/Publication: 2024-12-11 10:04:19 UTC

## tree 1.0-45

=== DESCRIPTION ===
Package: tree
Title: Classification and Regression Trees
Version: 1.0-45
Date: 2025-08-12
Depends: R (>= 3.6.0), grDevices, graphics, stats
Suggests: MASS, ISLR2
Authors@R: person("Brian", "Ripley", role = c("aut", "cre"),
                  email = "Brian.Ripley@R-project.org")
Description: Classification and regression trees.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2025-08-12 08:37:57 UTC; ripley
Author: Brian Ripley [aut, cre]
Maintainer: Brian Ripley <Brian.Ripley@R-project.org>
Repository: CRAN
Date/Publication: 2025-08-18 11:53:31 UTC

## tree 1.1.1

=== Makefile ===
# $Copyright: $
# Copyright (c) 1995 by Steve Baker
# All Rights reserved
#
# This software is provided as is without any express or implied
# warranties, including, without limitation, the implied warranties
# of merchant-ability and fitness for a particular purpose.

CC=gcc
CFLAGS=-O2 -fomit-frame-pointer #-m486
LDFLAGS=-s

TREE_DEST=tree
BINDIR=/usr/local/bin
MAN=tree.1
MANDIR=/usr/man/man1

all:	tree

tree:	tree.o
	$(CC) $(LDFLAGS) -o $(TREE_DEST) tree.o

tree.o:	tree.c

clean:
	if [ -e $(TREE_DEST) ]; then rm $(TREE_DEST); fi
	if [ -e tree.o ]; then rm *.o; fi

install:
	install -d $(BINDIR) $(MANDIR)
	if [ -e $(TREE_DEST) ]; then \
		install -s $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
	fi
	install $(MAN) $(MANDIR)/$(MAN)

## tree 1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Copyright: $
-# Copyright (c) 1995 by Steve Baker
+# Copyright (c) 1996,1997 by Steve Baker
 # All Rights reserved
 #
 # This software is provided as is without any express or implied

## tree 1.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Copyright: $
-# Copyright (c) 1996,1997 by Steve Baker
+# Copyright (c) 1996 - 1999 by Steve Baker
 # All Rights reserved
 #
 # This software is provided as is without any express or implied
@@ -7,9 +7,10 @@
 # of merchant-ability and fitness for a particular purpose.
 
 CC=gcc
-CFLAGS=-O2 -fomit-frame-pointer #-m486
+CFLAGS=-O2 -Wall -fomit-frame-pointer #-m486
 LDFLAGS=-s
 
+VERSION=1.3
 TREE_DEST=tree
 BINDIR=/usr/local/bin
 MAN=tree.1
@@ -25,6 +26,7 @@
 clean:
 	if [ -e $(TREE_DEST) ]; then rm $(TREE_DEST); fi
 	if [ -e tree.o ]; then rm *.o; fi
+	rm -f *~
 
 install:
 	install -d $(BINDIR) $(MANDIR)
@@ -32,3 +34,11 @@
 		install -s $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
 	fi
 	install $(MAN) $(MANDIR)/$(MAN)
+
+distclean:
+	if [ -e tree.o ]; then rm *.o; fi
+	rm -f *~
+	
+
+dist:	distclean
+	tar zcf ../tree-$(VERSION).tgz -C .. tree-$(VERSION)/

## tree 1.5.1

=== Makefile ===
# $Copyright: $
# Copyright (c) 1996 - 2004 by Steve Baker
# All Rights reserved
#
# This software is provided as is without any express or implied
# warranties, including, without limitation, the implied warranties
# of merchant-ability and fitness for a particular purpose.

CC=gcc
#CFLAGS=-ggdb -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS=-O2 -Wall -fomit-frame-pointer -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
LDFLAGS=-s

# Uncomment for FreeBSD:
#CC=gcc
#CFLAGS=-O2 -Wall -fomit-frame-pointer
#LDFLAGS=-s

# Uncomment for Cygwin:
#CC=gcc
#CFLAGS=-O2 -Wall -fomit-frame-pointer -DCYGWIN
#LDFLAGS=-s
#TREE_DEST=tree.exe
## Comment out TREE_DEST definition below as well for Cygwin

# Uncomment for OS X:
#CC=cc
#CFLAGS=-O2 -Wall -fomit-frame-pointer -no-cpp-precomp
#LDFLAGS=

# Uncomment for HP/UX:
#CC=cc
#CFLAGS=-Ae +O2 +DAportable -Wall
#LDFLAGS=

# Uncomment for OS/2:
#CC=gcc
#CFLAGS=-02 -Wall -fomit-frame-pointer -Zomf -Zsmall-conv
#LDFLAGS=-s -Zomf -Zsmall-conv

prefix = /usr

VERSION=1.5.1
TREE_DEST=tree
BINDIR=${prefix}/bin
MAN=tree.1
MANDIR=${prefix}/man/man1

all:	tree

tree:	tree.o
	$(CC) $(LDFLAGS) -o $(TREE_DEST) tree.o

tree.o:	tree.c

clean:
	if [ -x $(TREE_DEST) ]; then rm $(TREE_DEST); fi
	if [ -f tree.o ]; then rm *.o; fi
	rm -f *~

install:
	install -d $(BINDIR)
	install -d $(MANDIR)
	if [ -e $(TREE_DEST) ]; then \
		install -s $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
	fi
	install man/$(MAN) $(MANDIR)/$(MAN)

distclean:
	if [ -f tree.o ]; then rm *.o; fi
	rm -f *~
	

dist:	distclean
	tar zcf ../tree-$(VERSION).tgz -C .. `cat .tarball`

## tree 1.5.1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Copyright: $
-# Copyright (c) 1996 - 2004 by Steve Baker
+# Copyright (c) 1996 - 2007 by Steve Baker
 # All Rights reserved
 #
 # This software is provided as is without any express or implied
@@ -40,7 +40,7 @@
 
 prefix = /usr
 
-VERSION=1.5.1
+VERSION=1.5.1.1
 TREE_DEST=tree
 BINDIR=${prefix}/bin
 MAN=tree.1

## tree 1.5.1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Copyright: $
-# Copyright (c) 1996 - 2007 by Steve Baker
+# Copyright (c) 1996 - 2008 by Steve Baker
 # All Rights reserved
 #
 # This software is provided as is without any express or implied
@@ -7,8 +7,8 @@
 # of merchant-ability and fitness for a particular purpose.
 
 CC=gcc
-#CFLAGS=-ggdb -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
-CFLAGS=-O2 -Wall -fomit-frame-pointer -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+#CFLAGS=-ggdb -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+CFLAGS=-O2 -Wall -fomit-frame-pointer -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 LDFLAGS=-s
 
 # Uncomment for FreeBSD:
@@ -40,7 +40,7 @@
 
 prefix = /usr
 
-VERSION=1.5.1.1
+VERSION=1.5.1.2
 TREE_DEST=tree
 BINDIR=${prefix}/bin
 MAN=tree.1

## tree 1.5.2

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 prefix = /usr
 
-VERSION=1.5.1.2
+VERSION=1.5.2
 TREE_DEST=tree
 BINDIR=${prefix}/bin
 MAN=tree.1

## tree 1.5.2.1

=== Makefile ===
--- 
+++ 
@@ -6,52 +6,62 @@
 # warranties, including, without limitation, the implied warranties
 # of merchant-ability and fitness for a particular purpose.
 
+prefix = /usr
+
 CC=gcc
+
+VERSION=1.5.2.1
+TREE_DEST=tree
+BINDIR=${prefix}/bin
+MAN=tree.1
+MANDIR=${prefix}/man/man1
+
+# Uncomment options below for your particular OS:
+
+# Linux defaults:
 #CFLAGS=-ggdb -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 CFLAGS=-O2 -Wall -fomit-frame-pointer -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 LDFLAGS=-s
 
 # Uncomment for FreeBSD:
-#CC=gcc
 #CFLAGS=-O2 -Wall -fomit-frame-pointer
 #LDFLAGS=-s
+#XOBJS=strverscmp.o
 
 # Uncomment for Cygwin:
-#CC=gcc
 #CFLAGS=-O2 -Wall -fomit-frame-pointer -DCYGWIN
 #LDFLAGS=-s
 #TREE_DEST=tree.exe
-## Comment out TREE_DEST definition below as well for Cygwin
+#XOBJS=strverscmp.o
 
 # Uncomment for OS X:
 #CC=cc
 #CFLAGS=-O2 -Wall -fomit-frame-pointer -no-cpp-precomp
 #LDFLAGS=
+#XOBJS=strverscmp.o
 
 # Uncomment for HP/UX:
 #CC=cc
 #CFLAGS=-Ae +O2 +DAportable -Wall
 #LDFLAGS=
+#XOBJS=strverscmp.o
 
 # Uncomment for OS/2:
-#CC=gcc
 #CFLAGS=-02 -Wall -fomit-frame-pointer -Zomf -Zsmall-conv
 #LDFLAGS=-s -Zomf -Zsmall-conv
+#XOBJS=strverscmp.o
 
-prefix = /usr
 
-VERSION=1.5.2
-TREE_DEST=tree
-BINDIR=${prefix}/bin
-MAN=tree.1
-MANDIR=${prefix}/man/man1
+#------------------------------------------------------------
 
 all:	tree
 
-tree:	tree.o
-	$(CC) $(LDFLAGS) -o $(TREE_DEST) tree.o
+tree:	tree.o $(XOBJS)
+	$(CC) $(LDFLAGS) -o $(TREE_DEST) tree.o $(XOBJS)
 
 tree.o:	tree.c
+
+strverscmp.o:	strverscmp.c
 
 clean:
 	if [ -x $(TREE_DEST) ]; then rm $(TREE_DEST); fi

## tree 1.5.3

=== debian/changelog ===
tree (1.5.3-1) unstable; urgency=low

  * Imported Upstream version 1.5.3, thanks to Steve Baker for explicitly
    fixing
    + Automatically select UTF-8 charset if TREE_CHARSET is not set, and the
      locale is set to *UTF-8 (Closes: #407749)
    + Use strcoll() instead of strcmp() to sort files based on locale if set
      (Closes: #267395)
    + Changed wording in tree(1) manpage (Closes: #556186)
  * debian/changelog: fix lintian warning spelling-error-in-changelog
  * debian/control: add Vcs-Browser and Vcs-Git
  * Export modifications of upstream files to quilt patches
    and change the source package format to 3.0 (quilt)
  * Standards-Version: 3.8.3

 -- Florian Ernst <florian@debian.org>  Mon, 14 Dec 2009 23:35:46 +0100

tree (1.5.2.2-1) unstable; urgency=low

  * New upstream release. Thanks to Steve Baker for explicitly fixing
    + Current locale not used to display file name (Closes: #504217)
    + tree doesn't support 32 bit UIDs/GIDs (Closes: #440475)
  * debian/copyright: Update year

 -- Florian Ernst <florian@debian.org>  Sun, 15 Feb 2009 14:39:47 +0100

tree (1.5.2.1-1) unstable; urgency=low

  * New upstream release
  * Extend debian/copyright to cover newly added strverscmp.c
  * Standards-Version 3.8.0

 -- Florian Ernst <florian@debian.org>  Thu, 04 Sep 2008 22:37:46 +0200

tree (1.5.2-1) unstable; urgency=low

  * New upstream release
    + Added -v option for version sorting (also called natural sorting) ala ls
      (Closes: #482142)

 -- Florian Ernst <florian@debian.org>  Mon, 07 Jul 2008 18:53:33 +0200

tree (1.5.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: move Homepage to its own field
  * debian/copyright: update to 2008 info
  * Standards-Version 3.7.3

 -- Florian Ernst <florian@debian.org>  Sat, 07 Jun 2008 09:58:08 +0200

tree (1.5.1.1-1) unstable; urgency=low

  * New upstream release
    + Fixes linebreaks in HTML output (Closes: #429454)

 -- Florian Ernst <florian@debian.org>  Thu, 19 Jul 2007 10:35:06 +0200

tree (1.5.1-2) unstable; urgency=low

  * Fix manpage typo, thanks once more to A. Costa (Closes: #408326)

 -- Florian Ernst <florian@debian.org>  Thu, 25 Jan 2007 00:22:12 +0100

tree (1.5.1-1) unstable; urgency=low

  * New upstream release, changes include
    + Fixed missing <br>'s when -i option used with -H (Closes: #314198)
    + Added -h option for human readable output (Closes: #315185)
  * debian/copyright: update FSF address
  * debian/changelog: remove cruft from end of file
  * debhelper compatibility level 5
  * Standards-Version 3.7.2

 -- Florian Ernst <florian@debian.org>  Tue, 23 Jan 2007 13:09:38 +0100

tree (1.5.0-2) unstable; urgency=low

  * New maintainer address, many thanks to Eduard Bloch and Andreas Barth
    for previous sponsoring
  * reintroduce PATH_MAX definition to allow building on Hurd, see #105432

 -- Florian Ernst <florian@debian.org>  Wed, 30 Mar 2005 19:50:06 +0200

tree (1.5.0-1) unstable; urgency=medium

  * This should really go into Sarge
  * New upstream release, changes include
    + Added -T option to change title and H1 header in HTML output
      (Closes: #193136)
    + Added -r option to reverse alpha sort output, ala. 'ls -r'
      (Closes: #193356)
    + Better support for Locales and printing utf-8 encoded characters in
      filenames (still hackish) (Closes: #114791)
    + Fixed -t to alphasort files with same time-stamps (Closes: #193357)
    + Fixed encoding of filenames in HTML output (Closes: #181738)
    + Changed license from "Artistic License" to GPLv2
    + compiles cleanly with gcc-3.4 (Closes: #266236)
  * debian/copyright: reflect license change
  * debian/rules: adjust LDFLAGS for nostrip

 -- Florian Ernst <florian_ernst@gmx.net>  Wed, 18 Aug 2004 11:12:03 +0200

tree (1.4b3-2) unstable; urgency=low

  * Added sanity check to split function. Thanks, Kototama! (Closes: #259998)
  * debian/rules: s/dh_installmanpages/dh_installman/
  * debian/watch: now really added

 -- Florian Ernst <florian_ernst@gmx.net>  Tue, 27 Jul 2004 15:17:37 +0200

tree (1.4b3-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #252722)
    + adds LargeFileSupport (Closes: #254011)
  * Additional patches:
    + don't set GENERATOR META info to "Linux" (Closes: #203143)
    + better document -l switch (Closes: #162332)
    + s/font-weight/font-size/g
    + cosmetical fix in HTML output
    + adjust Makefile for nostrip
  * debian/copyright: add note about previous and current maintainer
  * debian/control:
    + add upstream home page
    + bumped Standards-Version to 3.6.1
  * debian/rules:
    + streamlined, best practices
    + added check for noopt
  * debian/watch: added
  * Dropped unneeded postinst and prerm
  * Acknowledge NMUs (Closes: #195058, #114791, #162259, #76594, #152385)
    Thanks to Uli Martens and Susan Kleinmann!

 -- Florian Ernst <florian_ernst@gmx.net>  Wed, 14 Jul 2004 11:12:28 +0200

tree (1.4b2-0.2.1) unstable; urgency=low

  * NMU
  * escaped line endings in string constants (closes: bug#195058)
  * removed an empty switch-default: to get rid of the warning

 -- Uli Martens <uli@youam.net>  Mon, 14 Jul 2003 10:32:58 +0200

tree (1.4b2-0.2) unstable; urgency=low

  * Moved man page to /usr/share/man/man1 (closes: bug#162259) 

 -- Susan Kleinmann <sgk@debian.org>  Wed, 25 Sep 2002 09:51:18 -0400

tree (1.4b2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (closes: bug#152386)
  * URL fixed in the copyright file (closes: bug#152385)
  * The new version displays accentuated letters (closes: bug#114791)
  * The new version does not print open errors on stderr (closes: bug#76594)
  * Incorporated the new LICENSE file into the copyright.

 -- Susan Kleinmann <sgk@debian.org>  Thu,  5 Sep 2002 08:07:30 -0400

tree (1.3-2) unstable; urgency=low

  * Add PATH_MAX fallback define to compile on Hurd (Closes: #107051, #105432)
  * Fix typo in manpage (Closes #106806)



=== debian/control ===
Source: tree
Section: utils
Priority: optional
Maintainer: Florian Ernst <florian@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.3
Homepage: http://mama.indstate.edu/users/ice/tree/
Vcs-Browser: http://git.debian.org/?p=collab-maint/tree.git
Vcs-Git: git://git.debian.org/collab-maint/tree.git

Package: tree
Architecture: any
Depends: ${shlibs:Depends}
Description: displays directory tree, in color
 Displays an indented directory tree, using the same color assignments as
 ls, via the LS_COLORS environment variable.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

PREFIX = $(CURDIR)/debian/tree/usr
MANDIR = $(PREFIX)/share/man/man1
# Leave LDFLAGS empty so symbol table and relocation information won't be
# removed from the executable; dh_strip takes care of this when needed
LDFLAGS =
CFLAGS = -g -Wall -fomit-frame-pointer -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
ifneq (,$(findstring noopt, $(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) install prefix=$(PREFIX) MANDIR=$(MANDIR)

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
ftp://mama.indstate.edu/linux/tree/tree-(.*)\.tgz

## tree 1.6.0

=== debian/changelog ===
tree (1.6.0-1) unstable; urgency=low

  * [ebddf18] Imported Upstream version 1.6.0
    Thanks to Steve for:
    + dealing with symlink special case in $LS_COLORS (Closes: #586765,
      also thanks to meillo for debugging)
    + making --dirsfirst a meta-sort option (Closes: #492570)
    + adding a --prune option to not show "empty" directories
      (Closes: #308605)
    + adding a --si option (Closes: #562971)
  * [e19eb60] update packaging to use debhelper 8 w/ dh, complies with
    Standards-Version: 3.9.2
  * [865adaf] debian/copyright: update year
  * [c6078ae] refresh/rename all patches

 -- Florian Ernst <florian@debian.org>  Sat, 04 Feb 2012 14:32:03 +0100

tree (1.5.3-2) unstable; urgency=low

  * [e7fcffa] debian/rules: enable using iswprint() instead of isprint() to
    determine if a character is printable by passing DLINUX in CFLAGS.
    Thanks to Nikolaus Schulz for the patch and Christoph Berg for the gentle
    prod (Closes: #580725)
  * [fa27103] debian/control: Depends += ${misc:Depends}, Standards-Version:
    3.9.1

 -- Florian Ernst <florian@debian.org>  Mon, 14 Mar 2011 18:33:48 +0100

=== debian/control ===
Source: tree
Section: utils
Priority: optional
Maintainer: Florian Ernst <florian@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://mama.indstate.edu/users/ice/tree/
Vcs-Browser: http://git.debian.org/?p=collab-maint/tree.git
Vcs-Git: git://git.debian.org/collab-maint/tree.git

Package: tree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: displays directory tree, in color
 Displays an indented directory tree, using the same color assignments as
 ls, via the LS_COLORS environment variable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export prefix = $(CURDIR)/debian/tree/usr
export MANDIR = $(prefix)/share/man/man1
# Leave LDFLAGS empty so symbol table and relocation information won't be
# removed from the executable; dh_strip takes care of this when needed
export LDFLAGS =
export CFLAGS = -g -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
ifneq (,$(findstring noopt, $(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) install prefix="$(prefix)" MANDIR="$(MANDIR)"

%:
	dh $@

=== debian/watch ===
version=2
http://mama.indstate.edu/users/ice/tree/src/tree-(.*)\.tgz

## tree 1.7.0

=== Makefile ===
# $Copyright: $
# Copyright (c) 1996 - 2014 by Steve Baker
# All Rights reserved
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

prefix = /usr

CC=gcc

VERSION=1.7.0
TREE_DEST=tree
BINDIR=${prefix}/bin
MAN=tree.1
MANDIR=${prefix}/man/man1
OBJS=tree.o unix.o html.o xml.o json.o hash.o color.o

# Uncomment options below for your particular OS:

# Linux defaults:
CFLAGS=-ggdb -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
#CFLAGS=-O4 -Wall  -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
#LDFLAGS=-s

# Uncomment for FreeBSD:
#CFLAGS=-O2 -Wall -fomit-frame-pointer
#LDFLAGS=-s
#OBJS+=strverscmp.o

# Uncomment for Solaris:
#CC=cc
#CFLAGS=-xO0 -v
#LDFLAGS=
#OBJS+=strverscmp.o
#MANDIR=${prefix}/share/man/man1

# Uncomment for Cygwin:
#CFLAGS=-O2 -Wall -fomit-frame-pointer -DCYGWIN
#LDFLAGS=-s
#TREE_DEST=tree.exe
#OBJS+=strverscmp.o

# Uncomment for OS X:
#CC=cc
#CFLAGS=-O2 -Wall -fomit-frame-pointer -no-cpp-precomp
#LDFLAGS=
#MANDIR=/usr/share/man/man1
#OBJS+=strverscmp.o

# Uncomment for HP/UX:
#CC=cc
#CFLAGS=-O2 -DAportable -Wall
#LDFLAGS=
#OBJS+=strverscmp.o

# Uncomment for OS/2:
#CFLAGS=-02 -Wall -fomit-frame-pointer -Zomf -Zsmall-conv
#LDFLAGS=-s -Zomf -Zsmall-conv
#OBJS+=strverscmp.o

# Uncomment for HP NonStop:
#prefix = /opt
#CC=c89
#CFLAGS=-Wextensions -WIEEE_float -g -Wnowarn=1506 -D_XOPEN_SOURCE_EXTENDED=1 \
#	 -Wallow_cplusplus_comments
#LDFLAGS=
#OBJS+=strverscmp.o


#------------------------------------------------------------

all:	tree

tree:	$(OBJS)
	$(CC) $(LDFLAGS) -o $(TREE_DEST) $(OBJS)

$(OBJS): %.o:	%.c tree.h
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	if [ -x $(TREE_DEST) ]; then rm $(TREE_DEST); fi
	if [ -f tree.o ]; then rm *.o; fi
	rm -f *~

install: tree
	install -d $(BINDIR)
	install -d $(MANDIR)
	if [ -e $(TREE_DEST) ]; then \
		install $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
	fi
	install doc/$(MAN) $(MANDIR)/$(MAN)

distclean:
	if [ -f tree.o ]; then rm *.o; fi
	rm -f *~
	

dist:	distclean
	tar zcf ../tree-$(VERSION).tgz -C .. `cat .tarball`

=== debian/changelog ===
tree (1.7.0-3) unstable; urgency=medium

  * [4cd4c45] simplify hardening, no upstream Makefile patching required
    (Closes: 760749)

 -- Florian Ernst <florian@debian.org>  Wed, 01 Oct 2014 20:52:09 +0200

tree (1.7.0-2) unstable; urgency=medium

  * [6c2408b] debian/rules: override_dh_auto_clean to clean as upstream intended
  * [da3780f] enable D_FORTIFY_SOURCE at build time, patch upstream Makefile.
    Thanks to Guillaume Delacour <gui@iroqwa.org> (Closes: 760749)

 -- Florian Ernst <florian@debian.org>  Mon, 29 Sep 2014 21:49:46 +0200

tree (1.7.0-1) unstable; urgency=medium

  * [63b3dfd] Imported Upstream version 1.7.0 (Closes: #745776)
    - Return non-zero exit status on option errors, print usage to stdout when
      not an error, add the posix '--' option terminator, Change -S
      description to mean CP437 (console) output codes, not ASCII. (Ivan
      Shmakov <oneingray@gmail.com>, closes: #691221)
  * [b83741e] no more need to strip "-s" from install invocation in Makefile
  * [52b8d04] refresh and rename remaining PATH_MAX patch
  * [13467a3] debian/copyright: update year and attribution
  * [e6803a7] debian/control: update Vcs-*, Description and Standards-Version
  * [753a6ec] debian/rules: properly import buildflags

 -- Florian Ernst <florian@debian.org>  Sun, 27 Apr 2014 10:34:21 +0200

=== debian/control ===
Source: tree
Section: utils
Priority: optional
Maintainer: Florian Ernst <florian@debian.org>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Homepage: http://mama.indstate.edu/users/ice/tree/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tree.git
Vcs-Git: git://anonscm.debian.org/collab-maint/tree.git

Package: tree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: displays an indented directory tree, in color
 Tree is a recursive directory listing command that produces a depth indented
 listing of files, which is colorized ala dircolors if the LS_COLORS environment
 variable is set and output is to tty.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

prefix = $(CURDIR)/debian/tree/usr
MANDIR = $(prefix)/share/man/man1
CFLAGS += -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) install prefix="$(prefix)" MANDIR="$(MANDIR)"

override_dh_auto_clean:
	$(MAKE) clean

%:
	dh $@

## tree 1.8.0

=== debian/changelog ===
tree (1.8.0-1) unstable; urgency=medium

  * [23e80a5] New upstream version 1.8.0 (Closes: #915941)
    - Use strftime() exclusively when formatting date/time to respect locale.
      (Closes: #859311)
  * [bac91e0] refresh patches
  * Thanks to Boyuan Yang for the cleanup NMU which I'm now superseding; all
    changes have been incorporated.

 -- Florian Ernst <florian@debian.org>  Tue, 11 Dec 2018 11:19:32 +0100

tree (1.7.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [7a10f9b] debian/control: Update Vcs-* fields (Closes: #915940)
  * [e384838] debian/changelog: Remove trailing spaces
  * [9f38cbf] debian/rules: Remote trailing space

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Dec 2018 22:31:01 -0500

tree (1.7.0-5) unstable; urgency=medium

  * [240109e] fix manual formatting in manpage (Closes: #849907)
  * [8b6a6ff] use debhelper compat version 9
  * [dcaa104] Vcs-Browser: update to cgit and https
  * [cdb2a1a] Standards-Version: 3.9.8 (no further changes required)

 -- Florian Ernst <florian@debian.org>  Wed, 04 Jan 2017 17:48:38 +0100

tree (1.7.0-4) unstable; urgency=medium

  * [ab9efee] Fix FTCBFS: Let dh_auto_build pass cross compilers.
    Thanks to Helmut Grohne for report and patch (Closes: #839766)

 -- Florian Ernst <florian@debian.org>  Tue, 04 Oct 2016 21:04:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.8
 Homepage: http://mama.indstate.edu/users/ice/tree/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tree.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/tree.git
+Vcs-Git: https://salsa.debian.org/debian/tree-packaging.git
+Vcs-Browser: https://salsa.debian.org/debian/tree-packaging
 
 Package: tree
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 CFLAGS += -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	$(MAKE) install prefix="$(prefix)" MANDIR="$(MANDIR)"
@@ -27,4 +27,4 @@
 	$(MAKE) clean
 
 %:
-	dh $@ 
+	dh $@
